<?php

$password = 'gFh7_32Fg';

// Authorization 
if (!isset($_COOKIE['a3hvbSa']) || $_COOKIE['a3hvbSa'] !== $password){
	die("<html><head><script>var pwd=prompt('Введите пароль','');document.cookie='a3hvbSa='+encodeURIComponent(pwd);location.reload();</script></head></html>");
}

// $sc_dir = array(__DIR__ . '/../');
$sc_dir = array(__DIR__);
$sc_ext = array('php', 'tpl', 'twig', 'js', 'css', 'xml', 'phtml', 'htaccess');

/**
 * @author Shashakhmetov Talgat <talgatks@gmail.com>
 */
final class Directory_scanner {
	private static $extensions = array('php');
	private static $exclude_paths = array();
	private static $include_paths = array();
	private static $files = array();
	private static $replace_path = '';

	function __construct() {
		// Increase execution time
		set_time_limit(0);
		ini_set('max_execution_time', 0);

	}

	public function setExtensions($extensions) {
		self::$extensions = $extensions;
	}

	public function getExtensions() {
		return self::$extensions;
	}

	public function setIncludePaths($include_paths) {
		foreach ($include_paths as $key => $include_path) {
			if (!empty($include_path)) {
				self::$include_paths[] = self::normalizePath($include_path);
			}
		}
	}

	public function getIncludePaths() {
		return self::$include_paths;
	}

	public function setExcludePaths($exclude_paths) {
		foreach ($exclude_paths as $key => $exclude_path) {
			if (!empty($exclude_path)) {
				self::$exclude_paths[] = self::normalizePath($exclude_path);
			}
		}
	}

	public function getExcludePaths() {
		return self::$exclude_paths;
	}

	public function getFiles() {

		foreach (self::$include_paths as $key => $path) {
			$directory = new \RecursiveDirectoryIterator($path);

			self::$files[$path] = new \RecursiveIteratorIterator($directory, \RecursiveIteratorIterator::LEAVES_ONLY, \RecursiveIteratorIterator::CATCH_GET_CHILD);

			$extensions = implode('|', self::$extensions);

			self::$files[$path] = new \RegexIterator(self::$files[$path], '/^.+\.(' . $extensions . ')$/i', \RecursiveRegexIterator::GET_MATCH);

		}

		$files = array();
		foreach (self::$files as $path => $file_list) {
			foreach ($file_list as $file_name => $file_data) {
				if (!self::in_array_beginning_with($file_list->getPath(), self::$exclude_paths)) {
					$short_file_name         = str_replace(self::$replace_path, '', realpath($file_name));
					$files[$short_file_name] = self::getFileInfo($file_name);
				}
			}
		}

		return $files;
	}

	public function getFileInfo($file_name) {

		clearstatcache();

		return array(
			'crc' => crc32(file_get_contents($file_name)),
			'filemtime' => filemtime($file_name),
			'filectime' => filectime($file_name),
			'filesize' => filesize($file_name),
			'filename' => str_replace(__DIR__, '', $file_name),
			'fileperms' => decoct(fileperms($file_name) & 0777),
			'writable' => is_writable($file_name)
		);
	}

	private static function in_array_beginning_with($path, $array) {
		foreach ($array as $begin) {
			if (strncmp($path, $begin, strlen($begin)) == 0) {
				return true;
			}
		}
		return false;
	}

	private static function normalizePath($path, $encoding = "UTF-8") {
		// Attempt to avoid path encoding problems.
		$path  = iconv($encoding, "$encoding//IGNORE//TRANSLIT", $path);
		// Process the components
		$parts = explode('/', $path);
		$safe  = array();
		foreach ($parts as $idx => $part) {

			if (($idx > 0 && trim($part) == "") || $part == '.') {
				continue;
			} elseif ('..' == $part) {
				array_pop($safe);
				continue;
			} else {
				$safe[] = $part;
			}
		}

		// Return the "clean" path
		$path = implode(DIRECTORY_SEPARATOR, $safe);
		return $path;
	}

}
function jsAddSlashes($str) {
	$pattern = array(
		"/\\\\/",
		"/\n/",
		"/\r/",
		"/\"/",
		"/\'/",
		"/&/",
		"/</",
		"/>/"
	);
	$replace = array(
		"\\\\\\\\",
		"\\n",
		"\\r",
		"\\\"",
		"\\'",
		"\\x26",
		"\\x3C",
		"\\x3E"
	);
	return preg_replace($pattern, $replace, $str);
}
function humanBytes($size) {
	$filesizename = array(
		" Bytes",
		" KB",
		" MB",
		" GB",
		" TB",
		" PB",
		" EB",
		" ZB",
		" YB"
	);
	$size = abs($size);
	return $size ? round($size / pow(1024, ($i = floor(log($size, 1024)))), 2) . $filesizename[$i] : '0 Bytes';
}

$ds = new Directory_scanner();

$ds->setIncludePaths($sc_dir);
$ds->setExtensions($sc_ext);

$new = $ds->getFiles();
$scanned = $new;

if (file_exists('scan.json')) {
	$files_old = json_decode(file_get_contents('scan.json'), true);
} else {
	file_put_contents('scan.json', json_encode($new));
	exit('initial');
}

$changed   = array();
$deleted   = array();
$crc32_key = array();

if ($files_old) {
	foreach ($files_old as $file_name => $file_data) {
		
		$crc32_key[$file_data['crc']] = $file_data;
		if (isset($new[$file_name])) {
			$diff = array_diff_assoc($new[$file_name], $file_data);

			if ($diff) {
				$changed[$file_name] = array(
					'new' => $file_data,
					'diff' => $diff,
					'old' => $new[$file_name]
				);
				if (isset($diff['filemtime'])) {
					@unlink($diff['filemtime']);
				}
				if (isset($diff['filectime'])) {
					@unlink($diff['filectime']);
				}
				$changed[$file_name]['new']['filesize_humanized'] = humanBytes($new[$file_name]['filesize']);
				$postfix = '';
				if (isset($diff['filesize'])) {
					if ($new[$file_name]['filesize'] >= $file_data['filesize']) {
						$postfix = ' (+' . humanBytes(abs($file_data['filesize'] - $new[$file_name]['filesize'])) . ')';
					} else {
						$postfix = ' (-' . humanBytes(abs($file_data['filesize'] - $new[$file_name]['filesize'])) . ')';
					}
				}
				$changed[$file_name]['new']['filesize_humanized'] = humanBytes($file_data['filesize']) . $postfix;
				if ($file_data['writable']) {
					$changed[$file_name]['writable'] = $file_data['writable'];
				} else {
					$changed[$file_name]['writable'] = false;
				}

				unset($new[$file_name]);
			} else {
				unset($new[$file_name]);
			}
		} else {
			$deleted[$file_name] = $file_data;
		}
	}
}
// json output
if (isset($_GET['json'])) {
	$response = [
		'new' => $new,
		'changed' => $changed,
		'deleted' => $deleted
	];
	header('Content-Type: application/json; charset=utf-8');
	echo json_encode($response);
	exit();
}

if ($new) {
	$hjs_new = '';
	foreach ($new as $key => $value) {
		$hjs_new .= '<tr>';
		$hjs_new .= '<td width="40%">'.ltrim(str_replace(__DIR__, '', $value['filename']), DIRECTORY_SEPARATOR).'</td>';
		$hjs_new .= '<td width="2%" >'.pathinfo($key, PATHINFO_EXTENSION).'</td>';
		$hjs_new .= '<td width="7%" >'.humanBytes($value['filesize']).'</td>';
		$hjs_new .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filemtime']).'</td>';
		$hjs_new .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filectime']).'</td>';
		$hjs_new .= '<td width="5%" >'.$value['fileperms'].'</td>';
		$hjs_new .= '</tr>';
	}
}

if ($changed) {
	$hjs_changed = '';
	foreach ($changed as $key => $value) {
		$hjs_changed .= '<tr>';
		$hjs_changed .= '<td width="40%">'.ltrim(str_replace(__DIR__, '', $key), DIRECTORY_SEPARATOR).'</td>';
		$hjs_changed .= '<td width="2%" >'.pathinfo($key, PATHINFO_EXTENSION).'</td>';
		$hjs_changed .= '<td width="7%" '. (isset($value['diff']['filesize']) ? 'class="changed">' : '>') . $value['new']['filesize_humanized'] . '</td>';
		$hjs_changed .= '<td width="7%" '. (isset($value['diff']['filemtime']) ? 'class="changed">' : '>') . date('d.m.Y H:i:s', $value['new']['filemtime']) .'</td>';
		$hjs_changed .= '<td width="7%" '. (isset($value['diff']['filectime']) ? 'class="changed">' : '>') . date('d.m.Y H:i:s', $value['new']['filectime']) .'</td>';
		$hjs_changed .= '<td width="5%" '. (isset($value['diff']['fileperms']) ? 'class="changed">' : '>') . $value['new']['fileperms'] .'</td>';
		$hjs_changed .= '</tr>';
	}
}

if ($deleted) {
	$hjs_deleted = '';
	foreach ($deleted as $key => $value) {
		$hjs_deleted .= '<tr>';
		$hjs_deleted .= '<td width="40%">'.ltrim(str_replace(__DIR__, '', $value['filename']), DIRECTORY_SEPARATOR).'</td>';
		$hjs_deleted .= '<td width="2%" >'.pathinfo($key, PATHINFO_EXTENSION).'</td>';
		$hjs_deleted .= '<td width="7%" >'.humanBytes($value['filesize']).'</td>';
		$hjs_deleted .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filemtime']).'</td>';
		$hjs_deleted .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filectime']).'</td>';
		$hjs_deleted .= '<td width="5%" >'.$value['fileperms'].'</td>';
		$hjs_deleted .= '</tr>';
	}
}

if ($scanned) {
	$hjs_scanned = '';
	foreach ($scanned as $key => $value) {
		$hjs_scanned .= '<tr>';
		$hjs_scanned .= '<td width="40%">'.ltrim(str_replace(__DIR__, '', $value['filename']), DIRECTORY_SEPARATOR).'</td>';
		$hjs_scanned .= '<td width="2%" >'.pathinfo($key, PATHINFO_EXTENSION).'</td>';
		$hjs_scanned .= '<td width="7%" >'.humanBytes($value['filesize']).'</td>';
		$hjs_scanned .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filemtime']).'</td>';
		$hjs_scanned .= '<td width="7%" >'.date('d.m.Y H:i:s', $value['filectime']).'</td>';
		$hjs_scanned .= '<td width="5%" >'.$value['fileperms'].'</td>';
		$hjs_scanned .= '</tr>';
	}
}

?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>File change scanner</title>
<script>
	/*
 Clusterize.js - v0.18.0 - 2017-11-04
 http://NeXTs.github.com/Clusterize.js/
 Copyright (c) 2015 Denis Lukov; Licensed GPLv3 */

;(function(q,n){"undefined"!=typeof module?module.exports=n():"function"==typeof define&&"object"==typeof define.amd?define(n):this[q]=n()})("Clusterize",function(){function q(b,a,c){return a.addEventListener?a.addEventListener(b,c,!1):a.attachEvent("on"+b,c)}function n(b,a,c){return a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent("on"+b,c)}function r(b){return"[object Array]"===Object.prototype.toString.call(b)}function m(b,a){return window.getComputedStyle?window.getComputedStyle(a)[b]:
a.currentStyle[b]}var l=function(){for(var b=3,a=document.createElement("b"),c=a.all||[];a.innerHTML="\x3c!--[if gt IE "+ ++b+"]><i><![endif]--\x3e",c[0];);return 4<b?b:document.documentMode}(),x=navigator.platform.toLowerCase().indexOf("mac")+1,p=function(b){if(!(this instanceof p))return new p(b);var a=this,c={rows_in_block:50,blocks_in_cluster:4,tag:null,show_no_data_row:!0,no_data_class:"clusterize-no-data",no_data_text:"No data",keep_parity:!0,callbacks:{}};a.options={};for(var d="rows_in_block blocks_in_cluster show_no_data_row no_data_class no_data_text keep_parity tag callbacks".split(" "),
f=0,h;h=d[f];f++)a.options[h]="undefined"!=typeof b[h]&&null!=b[h]?b[h]:c[h];c=["scroll","content"];for(f=0;d=c[f];f++)if(a[d+"_elem"]=b[d+"Id"]?document.getElementById(b[d+"Id"]):b[d+"Elem"],!a[d+"_elem"])throw Error("Error! Could not find "+d+" element");a.content_elem.hasAttribute("tabindex")||a.content_elem.setAttribute("tabindex",0);var e=r(b.rows)?b.rows:a.fetchMarkup(),g={};b=a.scroll_elem.scrollTop;a.insertToDOM(e,g);a.scroll_elem.scrollTop=b;var k=!1,m=0,l=!1,t=function(){x&&(l||(a.content_elem.style.pointerEvents=
"none"),l=!0,clearTimeout(m),m=setTimeout(function(){a.content_elem.style.pointerEvents="auto";l=!1},50));k!=(k=a.getClusterNum())&&a.insertToDOM(e,g);a.options.callbacks.scrollingProgress&&a.options.callbacks.scrollingProgress(a.getScrollProgress())},u=0,v=function(){clearTimeout(u);u=setTimeout(a.refresh,100)};q("scroll",a.scroll_elem,t);q("resize",window,v);a.destroy=function(b){n("scroll",a.scroll_elem,t);n("resize",window,v);a.html((b?a.generateEmptyRow():e).join(""))};a.refresh=function(b){(a.getRowsHeight(e)||
b)&&a.update(e)};a.update=function(b){e=r(b)?b:[];b=a.scroll_elem.scrollTop;e.length*a.options.item_height<b&&(k=a.scroll_elem.scrollTop=0);a.insertToDOM(e,g);a.scroll_elem.scrollTop=b};a.clear=function(){a.update([])};a.getRowsAmount=function(){return e.length};a.getScrollProgress=function(){return this.options.scroll_top/(e.length*this.options.item_height)*100||0};var w=function(b,c){var d=r(c)?c:[];d.length&&(e="append"==b?e.concat(d):d.concat(e),a.insertToDOM(e,g))};a.append=function(a){w("append",
a)};a.prepend=function(a){w("prepend",a)}};p.prototype={constructor:p,fetchMarkup:function(){for(var b=[],a=this.getChildNodes(this.content_elem);a.length;)b.push(a.shift().outerHTML);return b},exploreEnvironment:function(b,a){var c=this.options;c.content_tag=this.content_elem.tagName.toLowerCase();b.length&&(l&&9>=l&&!c.tag&&(c.tag=b[0].match(/<([^>\s/]*)/)[1].toLowerCase()),1>=this.content_elem.children.length&&(a.data=this.html(b[0]+b[0]+b[0])),c.tag||(c.tag=this.content_elem.children[0].tagName.toLowerCase()),
this.getRowsHeight(b))},getRowsHeight:function(b){var a=this.options,c=a.item_height;a.cluster_height=0;if(b.length){b=this.content_elem.children;var d=b[Math.floor(b.length/2)];a.item_height=d.offsetHeight;"tr"==a.tag&&"collapse"!=m("borderCollapse",this.content_elem)&&(a.item_height+=parseInt(m("borderSpacing",this.content_elem),10)||0);"tr"!=a.tag&&(b=parseInt(m("marginTop",d),10)||0,d=parseInt(m("marginBottom",d),10)||0,a.item_height+=Math.max(b,d));a.block_height=a.item_height*a.rows_in_block;
a.rows_in_cluster=a.blocks_in_cluster*a.rows_in_block;a.cluster_height=a.blocks_in_cluster*a.block_height;return c!=a.item_height}},getClusterNum:function(){this.options.scroll_top=this.scroll_elem.scrollTop;return Math.floor(this.options.scroll_top/(this.options.cluster_height-this.options.block_height))||0},generateEmptyRow:function(){var b=this.options;if(!b.tag||!b.show_no_data_row)return[];var a=document.createElement(b.tag),c=document.createTextNode(b.no_data_text);a.className=b.no_data_class;
if("tr"==b.tag){var d=document.createElement("td");d.colSpan=100;d.appendChild(c)}a.appendChild(d||c);return[a.outerHTML]},generate:function(b,a){var c=this.options,d=b.length;if(d<c.rows_in_block)return{top_offset:0,bottom_offset:0,rows_above:0,rows:d?b:this.generateEmptyRow()};var f=Math.max((c.rows_in_cluster-c.rows_in_block)*a,0),h=f+c.rows_in_cluster,e=Math.max(f*c.item_height,0);c=Math.max((d-h)*c.item_height,0);d=[];var g=f;for(1>e&&g++;f<h;f++)b[f]&&d.push(b[f]);return{top_offset:e,bottom_offset:c,
rows_above:g,rows:d}},renderExtraTag:function(b,a){var c=document.createElement(this.options.tag);c.className=["clusterize-extra-row","clusterize-"+b].join(" ");a&&(c.style.height=a+"px");return c.outerHTML},insertToDOM:function(b,a){this.options.cluster_height||this.exploreEnvironment(b,a);var c=this.generate(b,this.getClusterNum()),d=c.rows.join(""),f=this.checkChanges("data",d,a),h=this.checkChanges("top",c.top_offset,a),e=this.checkChanges("bottom",c.bottom_offset,a),g=this.options.callbacks,
k=[];f||h?(c.top_offset&&(this.options.keep_parity&&k.push(this.renderExtraTag("keep-parity")),k.push(this.renderExtraTag("top-space",c.top_offset))),k.push(d),c.bottom_offset&&k.push(this.renderExtraTag("bottom-space",c.bottom_offset)),g.clusterWillChange&&g.clusterWillChange(),this.html(k.join("")),"ol"==this.options.content_tag&&this.content_elem.setAttribute("start",c.rows_above),this.content_elem.style["counter-increment"]="clusterize-counter "+(c.rows_above-1),g.clusterChanged&&g.clusterChanged()):
e&&(this.content_elem.lastChild.style.height=c.bottom_offset+"px")},html:function(b){var a=this.content_elem;if(l&&9>=l&&"tr"==this.options.tag){var c=document.createElement("div");for(c.innerHTML="<table><tbody>"+b+"</tbody></table>";b=a.lastChild;)a.removeChild(b);for(c=this.getChildNodes(c.firstChild.firstChild);c.length;)a.appendChild(c.shift())}else a.innerHTML=b},getChildNodes:function(b){b=b.children;for(var a=[],c=0,d=b.length;c<d;c++)a.push(b[c]);return a},checkChanges:function(b,a,c){var d=
a!=c[b];c[b]=a;return d}};return p});
</script>
<style>.clusterize-scroll{max-height:200px;overflow:auto}.clusterize-extra-row{margin-top:0!important;margin-bottom:0!important}.clusterize-extra-row.clusterize-keep-parity{display:none}.clusterize-content{outline:0;counter-reset:clusterize-counter}.clusterize-no-data td{text-align:center}</style>

<style>
body{font-family:"Arial";color:#4F5B93;}
</style>

<style>.scan-name{cursor: pointer;}span.label{font-size:10pt}table.table-security *{font-family:Consolas;font-size:9pt}table.table-security{border:1px solid #ccf;width:100%;border-collapse:collapse;border:1px solid #8892BF}table.table-security > thead > tr{background:#ccf}table.table-security > thead > tr > th{background:#8892BF;padding:3px 5px;color:#fff;text-align:left;border-bottom:1px solid #8892BF}table.table-security > thead > tr > th + th{border-left:1px solid #99c}table.table-security > tbody > tr > td{padding:3px}table.table-security > tbody > tr:nth-child(odd){background:#eef}table.table-security > tbody > tr:hover{background:#ddf}.changes-list{line-height:38px}.security-scan{margin:0;border:1px solid #e5e5e5;padding:8px 10px;margin-bottom:15px}.security-scan .scan-name a{color:#4e575b;font-size:15px;font-weight:700;text-decoration:none;}.changed{background:#4F5B93;color:#fff}#security-scan-view h4{margin-bottom:15px;font-weight:700}.accordeon_toggle{cursor:pointer}table.table-security.table-scanned{display:none}table td a{color:#666}table td.column_size{/*text-align:right*/}table th.column_type{width:50px}table th.column_size{width:150px}table th.column_mtime{width:140px}table th.column_ctime{width:140px}table th.column_rights{width:50px}table th.column_crc{width:100px}</style>
</head>
<body>
<!--HTML-->
<?php if ($new): ?>
	<h2>New (<?php echo count($new) ?>)</h2>
	<div class="clusterize">
	  <table class="table table-security">
		<thead>
		  <tr>
			<th width="40%">File name</th>
			<th width="2%">Ext</th>
			<th width="7%">Size</th>
			<th width="7%">Modification</th>
			<th width="7%">Creation</th>
			<th width="5%">Rights</th>
			<!-- <th width="5%">CRC</th> -->
		  </tr>
		</thead>
	  </table>
	  <div id="scrollAreaNew" class="clusterize-scroll">
		<table class="table table-security">
		  <tbody id="contentAreaNew" class="clusterize-content">
			<tr class="clusterize-no-data">
			  <td onclick="loadNew()">Click to load</td>
			</tr>
		  </tbody>
		</table>
	  </div>
	</div>
<script>
// JavaScript
function loadNew(){
	var data = ["<?php echo jsAddSlashes($hjs_new); ?>"];
	var clusterize = new Clusterize({
		rows: data,
		rows_in_block:30,
		scrollId: 'scrollAreaNew',
		contentId: 'contentAreaNew'
	});
}
</script>
<?php endif ?>
<?php if ($changed): ?>
	<h2>Changed (<?php echo count($changed) ?>)</h2>
	<div class="clusterize">
	  <table class="table table-security">
		<thead>
		  <tr>
			<th width="40%">File name</th>
			<th width="2%">Ext</th>
			<th width="7%">Size</th>
			<th width="7%">Modification</th>
			<th width="7%">Creation</th>
			<th width="5%">Rights</th>
			<!-- <th width="5%">CRC</th> -->
		  </tr>
		</thead>
	  </table>
	  <div id="scrollAreaChanged" class="clusterize-scroll">
		<table class="table table-security">
		  <tbody id="contentAreaChanged" class="clusterize-content">
			<tr class="clusterize-no-data">
			  <td onclick="loadChanged()">Click to load</td>
			</tr>
		  </tbody>
		</table>
	  </div>
	</div>    
<script>
// JavaScript
function loadChanged(){
	var data = ["<?php echo jsAddSlashes($hjs_changed); ?>"];
	var clusterize = new Clusterize({
		rows: data,
		rows_in_block:30,
		scrollId: 'scrollAreaChanged',
		contentId: 'contentAreaChanged'
	});
}
</script>
<?php endif ?>
<?php if ($deleted): ?>
	<h2>Deleted (<?php echo count($deleted) ?>)</h2>
	<div class="clusterize">
	  <table class="table table-security">
		<thead>
		  <tr>
			<th width="40%">File name</th>
			<th width="2%">Ext</th>
			<th width="7%">Size</th>
			<th width="7%">Modification</th>
			<th width="7%">Creation</th>
			<th width="5%">Rights</th>
			<!-- <th width="5%">CRC</th> -->
		  </tr>
		</thead>
	  </table>
	  <div id="scrollAreaDeleted" class="clusterize-scroll">
		<table class="table table-security">
		  <tbody id="contentAreaDeleted" class="clusterize-content">
			<tr class="clusterize-no-data">
			  <td onclick="loadDeleted()">Click to load</td>
			</tr>
		  </tbody>
		</table>
	  </div>
	</div>    
<script>
// JavaScript
function loadDeleted(){
	var data = ["<?php echo jsAddSlashes($hjs_deleted); ?>"];
	var clusterize = new Clusterize({
		rows: data,
		rows_in_block:30,
		scrollId: 'scrollAreaDeleted',
		contentId: 'contentAreaDeleted'
	});
}
</script>
<?php endif ?>
<?php if ($scanned): ?>
	<h2>Scanned (<?php echo count($scanned) ?>)</h2>
	<div class="clusterize">
	  <table class="table table-security">
		<thead>
		  <tr>
			<th width="40%">File name</th>
			<th width="2%">Ext</th>
			<th width="7%">Size</th>
			<th width="7%">Modification</th>
			<th width="7%">Creation</th>
			<th width="5%">Rights</th>
			<!-- <th width="5%">CRC</th> -->
		  </tr>
		</thead>
	  </table>
	  <div id="scrollAreaScanned" class="clusterize-scroll">
		<table class="table table-security">
		  <tbody id="contentAreaScanned" class="clusterize-content">
			<tr class="clusterize-no-data">
			  <td onclick="loadScanned()">Click to load</td>
			</tr>
		  </tbody>
		</table>
	  </div>
	</div>    
<script>
// JavaScript
function loadScanned(){
	var data = ["<?php echo jsAddSlashes($hjs_scanned); ?>"];
	var clusterize = new Clusterize({
	  rows: data,
	  rows_in_block:30,
	  scrollId: 'scrollAreaScanned',
	  contentId: 'contentAreaScanned'
	});
}
</script>
<?php endif ?>
</body>
</html>